var jHashMap = function()
{
	if(!(this instanceof jHashMap)) 
		return new jHashMap();
	return new java.util.HashMap();
};
var HashMap = jHashMap;

var jArrayList = function()
{
	if(!(this instanceof jArrayList)) 
		return new jArrayList();
	return new java.util.ArrayList();
};
var ArrayList = jArrayList();

var jString = function(str)
{
	if(!(this instanceof jString)) 
		return new jString(str);
	return new java.lang.String(str);
};
var String = jString;

var bosUuid = function(str)
{
	if(!(this instanceof bosUuid)) 
		return new bosUuid(str);
	return com.kingdee.bos.util.BOSUuid.read(str);
};

var wxPushText = function(touser, text)
{
	return com.kingdee.lightapp.wx.WXPush.pushTextMessage(touser,text);
};

var util = 
{
	newHashMap : jHashMap,
	newArrayList :  jArrayList,
	newString :  jString,
	newBosUuid : function(str){
		return com.kingdee.bos.util.BOSUuid.read(str);
	},  
	throwException : function(e)
	{
		throw e;
	},
}
